MASS-BUG.DE(1)

BEZEICHNUNG
mass-bug - reicht einen Massenfehlerbericht gegen eine Liste von Paketen ein

ÜBERSICHT
mass-bug [Optionen] --subject="Betreff des Fehlerberichts" Schablonenpaketliste

BESCHREIBUNG
Mass-bug hilft bei der Masseneinreichung von Fehlerberichten in der Debian-Fehlerdatenbank gegen eine Gruppe von Paketen. Für jedes Paket in der Paketliste (die ein Paket pro Zeile mit einer optionalen Versionsnummer, die per Unterstrich vom Paketnamen getrennt ist, aufführen sollte), füllt es die Schablone aus, fügt Pseudokopfzeilen der Fehlerdatenbank hinzu und zeigt entweder den Fehlerbericht an oder versendet ihn.

Warnung: Es wurde darauf geachtet, unangenehme und häufige Fehler zu vermeiden, aber dies ist immer noch ein Werkzeug für Fortgeschrittene, das massenhaft E-Mails mit Fehlerberichten erzeugen kann. Benutzen Sie es mit Vorsicht und lesen Sie zuerst die Dokumentation in der Debian-Entwickler-Referenz über die Masseneinreichung von Fehlern.

SCHABLONE
Die Schablonendatei ist der Rumpf der Nachricht, die an jeden Fehlerbericht gesandt wird, ausgenommen der Pseudokopfzeilen der Fehlerdatenbank. In der Schablone wird #PACKAGE# durch den Namen des Pakets ersetzt. Falls eine Version für das Paket angegeben wurde, wird #VERSION# durch diese Version ersetzt.

Die Bestandteile der Versionsnummer können mittels #EPOCH#, #UPSTREAM_VERSION# und #REVISION# angegeben werden. #EPOCH# beinhaltet den Doppelpunkt am Ende und #REVISION# den führenden Bindestrich, so dass #EPOCH#UPSTREAM_VERSION##REVISION# immer dasselbe wie #VERSION# ist.

If --include has been passed, #INCLUDE# is replaced by the contents of the named file. This contents is also subject to text wrapping as described below.

Beachten Sie, dass Text in der Schablone bei 70 Zeichen umgebrochen wird bis zum Anfang einer Signatur (also bis zu einer Zeile, die genau '-- ' alleine am Anfang der Zeile enthält). Dies ist ein weiterer Grund, das Einschließen von Pseudokopfzeilen der Fehlerdatenbank in Ihre Schablone zu vermeiden.

OPTIONEN
mass-bug untersucht die devscripts-Konfigurationsdateien wie nachfolgend beschrieben. Befehlszeilenoptionen setzen jedoch die Einstellungen von Konfigurationsdateien außer Kraft.

--severity=(wishlist|minor|normal|important|serious|grave|critical)
    gibt den Schweregrad an, mit dem Fehler eingereicht werden sollen. Vorgabe ist normal.

--display
    füllt die Schablonen für jedes Paket aus und zeigt sie zur Überprüfung an. Dies ist das Standardverhalten.

--send
    sendet die Fehlerberichte tatsächlich.

--subject="Betreff des Fehlerberichts"
    gibt den Betreff des Fehlerberichts an. Dem Betreff wird automatisch der Name des Pakets vorangestellt, gegen das der Fehlerbericht eingereicht wird.

--tags
    erzeugt die Pseudokopfzeile »Tags« der Fehlerdatenbank, um Markierungen zu setzen.

--user
    erzeugt die Pseudokopfzeile »User« der Fehlerdatenbank (Benutzer der Benutzermarkierungen).

--usertags
    erzeugt die Pseudokopfzeile »Usertags« der Fehlerdatenbank (um eine Benutzermarkierung zu setzen).

--control=>BEFEHL
    Add a BTS control command. This option may be repeated to add multiple control commands. For example, if you are mass-bug-filing "please stop depending on this deprecated package", and bug 123456 represents removal of the deprecated package, you could use:

        mass-bug --control='block 123456 by -1' ...

--source
    gibt an, dass Paketnamen sich auf Quell- statt Binärpakete beziehen.

--sendmail=SENDMAIL-BEFEHL
    gibt den sendmail-Befehl an. Der Befehl wird bei Leerräumen unterteilt und nicht an eine Shell übergeben. Vorgabe ist /usr/sbin/sendmail.

--no-wrap
    bricht die Schablone nicht bei 70 Zeichen um.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--include=FILENAME
    Include the contents of FILENAME in the template, replacing the #INCLUDE# placeholder. A %s in FILENAME gets replaced by the current package name.

--help
    stellt einen Aufruftext bereit.

--version
    zeigt Versionsinformationen.

UMGEBUNGSVARIABLEN
DEBEMAIL und EMAIL können in der Umgebung gesetzt werden, um die E-Mail-Adresse festzulegen, von der Fehlerberichte versandt werden.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge durch eine Shell eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen aus Konfigurationsdateien außer Kraft zu setzen. Einstellungen aus Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

BTS_SENDMAIL_COMMAND
    Falls dies gesetzt ist, gibt es einen sendmail-Befehl an, der anstelle von /usr/sbin/sendmail verwendet wird. Entspricht der Befehlszeilenoption --sendmail.

COPYRIGHT
Dieses Programm unterliegt dem Copyright (C) 2006 von Joey Hess <joeyh@debian.org>.

Es ist lizensiert unter den Bedingungen der GPL, entweder Version 2 der Lizenz oder (nach Ihrer Wahl) irgendeiner späteren Version.

AUTOR
Joey Hess <joeyh@debian.org>